com.independentsoft.msg

## Enum RecurrenceType

- java.lang.Object
- - java.lang.Enum<RecurrenceType>
  - - com.independentsoft.msg.RecurrenceType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RecurrenceType>

      public enum RecurrenceType
      extends java.lang.Enum<RecurrenceType>

  Specifies the recurrence pattern type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DAILY` Represents a daily recurrence pattern.
    `MONTH_NTH` Represents a MonthNth recurrence pattern.
    `MONTHLY` Represents a monthly recurrence pattern.
    `NONE` None.
    `WEEKLY` Represents a weekly recurrence pattern.
    `YEAR_NTH` Represents a YearNth recurrence pattern.
    `YEARLY` Represents a yearly recurrence pattern.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RecurrenceType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RecurrenceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DAILY

          public static final RecurrenceType DAILY

      Represents a daily recurrence pattern.

    - #### WEEKLY

          public static final RecurrenceType WEEKLY

      Represents a weekly recurrence pattern.

    - #### MONTHLY

          public static final RecurrenceType MONTHLY

      Represents a monthly recurrence pattern.

    - #### MONTH_NTH

          public static final RecurrenceType MONTH_NTH

      Represents a MonthNth recurrence pattern.

    - #### YEARLY

          public static final RecurrenceType YEARLY

      Represents a yearly recurrence pattern.

    - #### YEAR_NTH

          public static final RecurrenceType YEAR_NTH

      Represents a YearNth recurrence pattern.

    - #### NONE

          public static final RecurrenceType NONE

      None.

  - ### Method Detail

    - #### values

          public static RecurrenceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RecurrenceType c : RecurrenceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RecurrenceType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null